Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## be.ehealth.businessconnector.therlink.builders
Interface ProofBuilder

All Known Implementing Classes:
  ProofBuilderImpl

    public interface ProofBuilder

Interface for all ProofBuilders Default impl : `ProofBuilderImpl` Factory : `RequestObjectBuilderFactory`

Method Summary
`Proof` | `createProofForEidReading()` Creates a `Proof` for eID reading
`Proof` | `createProofForEidSigning(Credential cred)` Creates a `Proof` for eID signing Requires the eID card of the patient connected
`Proof` | `createProofForIsiReading()` Creates a `Proof` for Sis reading
`Proof` | `createProofForSisReading()` Creates a `Proof` for Sis reading
`Proof` | `createSimpleProof(String proofType)` creates a simple `Proof` for a given kmehr proof type.

Method Detail

### createProofForEidSigning

    Proof createProofForEidSigning(Credential cred)
                                   throws TechnicalConnectorException,
                                          TherLinkBusinessConnectorException

  Creates a `Proof` for eID signing Requires the eID card of the patient connected

  Throws:
    `TechnicalConnectorException`
    `TherLinkBusinessConnectorException`

### createProofForEidReading

    Proof createProofForEidReading()

  Creates a `Proof` for eID reading

### createProofForSisReading

    Proof createProofForSisReading()

  Creates a `Proof` for Sis reading

### createProofForIsiReading

    Proof createProofForIsiReading()

  Creates a `Proof` for Sis reading

### createSimpleProof

    Proof createSimpleProof(String proofType)

  creates a simple `Proof` for a given kmehr proof type. The proof will only contain the proofType , which is now an extendable kmehr code.

  Parameters:
    `proofType` - String
  Returns:
    Proof with the given type.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Connector Packaging PERSOCCUPATIONALTHERAPIST 3.16.1 API
Copyright © {inceptionYear}-2018 eHealth. All Rights Reserved.